XP(4)

NAME
xp - HD647180X I/O processor

SYNOPSIS
xp0 at mainbus0

DESCRIPTION
The file /dev/xp is an mmap(2) capable interface to the memory area of the HD647180X I/O processor (so-called "XP") on LUNA-88K and LUNA-88K2. Byte offsets in this file are interpreted as relative memory addresses of the I/O processor. The range should be between 0x0 and 0xffff.

The following ioctl(2) call applies to /dev/xp:

XPIOCDOWNLD struct xp_download
    Load binary and reset I/O processor.

        struct xp_download {
                u_int   size;
        	u_char  *data;
        };

    The size member specifies the loading binary size, in bytes. The data member points to the binary image.

FILES
/dev/xp

ERRORS

[EINVAL]
    The specified size is 0 or more than the I/O processor's memory size.

[ENOMEM]
    Memory could not be allocated for loading.

SEE ALSO
ioctl(2)

HISTORY
The /dev/xp file first appeared in OpenBSD 6.1.